Bug 284691 - When hibernating iwl3945 warns MAC request wakes up NIC
When hibernating iwl3945 warns MAC request wakes up NIC
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-10 11:17 EDT by Ian Malone
Modified: 2008-01-14 11:17 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-14 11:17:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Malone 2007-09-10 11:17:41 EDT
Description of problem:
When hibernating or waking up my laptop I get the following error repeated many
times at the console:
"iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC"
Despite this the machine does eventually hibernate successfully.
(Apologies if pm-utils is not the right place, I'm not sure where
to file a hibernation bug.)

Version-Release number of selected component (if applicable):
Kernel is

How reproducible:
Seemingly 100%.

Steps to Reproduce:
1. Gnome menu: System|Shutdown
2. Hibernate
Actual results:
Repeats message "iwl3945: WARNING: Requesting MAC access during RFKILL wakes up NIC"
But shuts down eventually.

Expected results:
Message indicates it shouldn't be requesting MAC (or that the NIC shouldn't be
waking up for this).  Would possibly hibernate and wake up more quickly if this
was the case.

Additional info:
Machine is Sony VGN-C2M/W
Comment 1 Till Maas 2007-12-30 15:21:53 EST
I guess this belongs to the kernel.
Comment 2 Christopher Brown 2008-01-13 18:16:30 EST

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.


I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 3 Ian Malone 2008-01-14 11:06:18 EST
I've upgraded to Fedora 8 x86_64.  It's hard to tell as the console appears to
be silenced when hibernating in F8.  I've looked at /var/log/messages and don't
see it there.  Possibly fixed.
Comment 4 Christopher Brown 2008-01-14 11:17:53 EST
Okay, thanks for the feedback Ian. Will close NEXTRELEASE but please re-open if
this comes back. Thanks for taking the time to file the original bug report.

Note You need to log in before you can comment on or make changes to this bug.